import request from '@/utils/request'

// 查询装置信息列表
export function listDeptinfo(query) {
  return request({
    url: '/rc/deptinfo/list',
    method: 'get',
    params: query
  })
}

// 查询装置信息详细
export function getDeptinfo(id) {
  return request({
    url: '/rc/deptinfo/' + id,
    method: 'get'
  })
}

// 新增装置信息
export function addDeptinfo(data) {
  return request({
    url: '/rc/deptinfo',
    method: 'post',
    data: data
  })
}

// 修改装置信息
export function updateDeptinfo(data) {
  return request({
    url: '/rc/deptinfo',
    method: 'put',
    data: data
  })
}

// 删除装置信息
export function delDeptinfo(id) {
  return request({
    url: '/rc/deptinfo/' + id,
    method: 'delete'
  })
}
